package org.dromara.zhishu.service;

import org.dromara.zhishu.domain.SyncLog;

import java.util.List;

/**
 * 迁移日志Service接口
 *
 * @author yxy
 * @date 2026-06-06
 */
public interface ISyncLogService {

    /**
     * 根据ID查询迁移日志
     *
     * @param id 主键
     * @return 迁移日志
     */
    SyncLog queryById(Long id);

    /**
     * 查询迁移日志列表
     *
     * @param bo 查询条件
     * @return 迁移日志列表
     */
    List<SyncLog> queryList(SyncLog bo);

    /**
     * 新增迁移日志
     *
     * @param bo 迁移日志
     * @return 是否新增成功
     */
    Boolean insertByBo(SyncLog bo);

    /**
     * 修改迁移日志
     *
     * @param bo 迁移日志
     * @return 是否修改成功
     */
    Boolean updateByBo(SyncLog bo);

    /**
     * 根据ID删除迁移日志
     *
     * @param id 主键
     * @return 是否删除成功
     */
    Boolean deleteById(Long id);
}